%global pkgvers 0
%global scdate0 20241122
%global schash0 7fccc2eed1b608a2892b5933c05299a9259d8a4a
%global branch0 master
%global source0 https://github.com/StefanSchippers/xschem.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           xschem
Version:        3.4.5
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Schematic capture and Netlisting EDA tool
License:        GPLv2+

URL:            https://xschem.sourceforge.io/stefan/index.html

BuildRequires:  make git gcc gawk flex bison
BuildRequires:  tcl-devel tk-devel pkgconfig(xpm) pkgconfig(cairo-xcb)

%global __cmake_in_source_build 1

%description
Xschem is a schematic capture program, it allows creation of
hierarchical representation of circuits with a top down approach.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
"./configure" \
  --prefix=%{_prefix} \
  --CFLAGS="%{build_cflags}" \
  --LDFLAGS="%{build_ldflags}" \
  --symbols
%make_build


%install
%make_install


%files
%license LICENSE
%doc AUTHORS Changelog README
%{_bindir}/*
%{_datadir}/*
%{_mandir}/*


%files doc
%{_docdir}/%{name}


%changelog
* Mon Mar 28 2022 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
